FULLA(1)

NAME
fulla - Correct lens distortion, vignetting and chromatic aberration

SYNOPSIS
fulla [options] inputfile(s)

DESCRIPTION
Apply radial or flat-field vignetting correction as well as geometrical radial distortion and transversal chromatic aberration correction.

fulla can be used to batch correct a large number of files. Radial distortion coefficients can be read from a lens database.

Vignetting correction is done the same way as described in the nona script file documentation, or from lens database. Vignetting correction can be done based on a flat-field or a radial scaling.

Vignetting correction by flat-field division:
                        I = I / c, c = flat-field / mean(flat-field)

Radial vignetting correction:
                        I = I / c, c = a + b*r^2 + c*r^4 + d*r^6

The radial distortion correction is identical to the one implemented by PanoTools:

r_new = a*r^4 + b*r^3 + c*r^2 + d*r [1]

Since transversal chromatic aberrations (TCA) leads to differently scaled objects in the red, green and blue channel, it can be corrected by scaling the red and blue channel so that they match the green channel. Most applications, like Photoshop or Picture Window Pro offer TCA correction by linear scaling. This is equal to varying the d parameter in equation [1].

See http://hugin.sf.net/tutorials/tca for a method to determine these parameters.

OPTIONS

--green=db|a:b:c:d
    Correct radial distortion coefficient for all channels, (a, b, c, d) Specify 'db' for database lookup or the 4 coefficients a:b:c:d

--blue=db|a:b:c:d
    Correct radial distortion coefficients for blue channel, (a, b, c, d). This is applied on top of the --green distortion coefficients, use for TCA corr Specify 'db' for database lookup or the 4 coefficients a:b:c:d

--red=db|a:b:c:d
    Correct radial distortion coefficients for red channel, (a, b, c, d). This is applied on top of the --green distortion coefficients, use for TCA corr Specify 'db' for database lookup or the 4 coefficients a:b:c:d

--camera-maker=Maker
    Camera manufacturer, for database query

--camera-model=Cam
    Camera name, for database query

--lensname=Lens
    Lens name, for database query

        Specify --camera-maker and --camera-model for fixed lens cameras or --lensname for interchangeable lenses.

--focallength=50
    Specify focal length in mm, for database query

--aperature=3.5
    Specify aperture for vignetting data database query

--dont-rescale
    Do not rescale the image to avoid black borders.

--flatfield=filename
    Vignetting correction by flatfield division I = I / c, c = flatfield / mean(flatfield)

--vignetting=db|a:b:c:d
    Correct vignetting (by division) Specify db for database look up or the the 4 coefficients a:b:c:d I = I / ( a + b*r^2 + c*r^4 + d*r^6)

--linear
    Do vignetting correction in linear color space

--gamma=value
    Gamma of input data. Used for gamma correction before and after flatfield correction

threads=n
    Number of threads that should be used

-h|--help
    Display help

--output=name
    Set output filename. If more than one image is given, the name will be used as suffix. (default suffix: _corr)

--compression=value
    Compression of the output files. For jpeg output: 0-100 For tiff output: PACKBITS, DEFLATE, LZW

--offset=X:Y
    Horizontal and vertical shift

--verbose
    Verbose

AUTHORS
Written by Pablo d'Angelo. Also contains contributions from Douglas Wilkins, Ippei Ukai, Ed Halley, Bruno Postle, Gerry Patterson, Brent Townshend and Thomas Modes.